summaryrefslogtreecommitdiffstats
path: root/desktop/cylonminimal
diff options
context:
space:
mode:
author Antonio Hernández Blas <hba.nihilismus@gmail.com>2010-05-11 22:21:45 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-11 22:21:45 +0200
commit60bcb872dad6c41dc6af68da7613ff58b521b0f1 (patch)
treecb253724ba5d58fbc17887d904a25bb50798c844 /desktop/cylonminimal
parentec1c3f8b6d4d48463abff1f160b1ce7497dd6491 (diff)
downloadslackbuilds-60bcb872dad6c41dc6af68da7613ff58b521b0f1.tar.gz
slackbuilds-60bcb872dad6c41dc6af68da7613ff58b521b0f1.tar.xz
desktop/cylonminimal: Updated for version 0.2
Diffstat (limited to 'desktop/cylonminimal')
-rw-r--r--desktop/cylonminimal/README2
-rw-r--r--desktop/cylonminimal/cylonminimal.SlackBuild65
-rw-r--r--desktop/cylonminimal/cylonminimal.info12
3 files changed, 44 insertions, 35 deletions
diff --git a/desktop/cylonminimal/README b/desktop/cylonminimal/README
index 616a645e26..295b46c691 100644
--- a/desktop/cylonminimal/README
+++ b/desktop/cylonminimal/README
@@ -1,4 +1,4 @@
-CylonMinimal - a Window Decoration for KDE 3.5.*
+CylonMinimal - a Window Decoration for KDE 3.2.+
CylonMinimal is a windeco inspired by the Cylons of the
new 'Battlestar Galactica' - Series, created by Ron Moore.
diff --git a/desktop/cylonminimal/cylonminimal.SlackBuild b/desktop/cylonminimal/cylonminimal.SlackBuild
index 86379a2a1d..d5ebb977f6 100644
--- a/desktop/cylonminimal/cylonminimal.SlackBuild
+++ b/desktop/cylonminimal/cylonminimal.SlackBuild
@@ -2,16 +2,31 @@
# Slackware build script for cylonminimal
-# Written by core (eroc@linuxmail.org)
-
-set -e
+# Copyright (c) 2008, Antonio Hernández Blas <hba.nihilismus@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions are met:
+# 1.- Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
+# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
+# DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
+# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
+# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;
+# LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
+# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=cylonminimal
-VERSION=0.1
-VERSIONALT=01
+VERSION=0.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -21,52 +36,46 @@ if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xzvf $CWD/*-$PRGNAM-$VERSIONALT.tar.gz
-
-# This tarball lets 3 files under $TMP, so we're gonna
-# move them in to the sourcecode dir to have a clean $TMP
-# note: there's a README in $PRGNAM-$VERSION too, but without
-# any difference betwen them.
-mv $TMP/README $PRGNAM-$VERSION
-# note: this files are gonna be integrate in the final package.
-mv $TMP/CylonOS.kcsrc $PRGNAM-$VERSION
-mv $TMP/cylon.qtcurve $PRGNAM-$VERSION
-
+tar -xzvf $CWD/CylonMinimal-$VERSION.tar.gz
+mv CylonMinimal-$VERSION $PRGNAM-$VERSION
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
-KDEPREF=`kde-config --prefix` || true
+KDEPREF=$(kde-config --prefix) || true
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
- --prefix=$KDEPREF \
+ --prefix="$KDEPREF" \
--enable-shared=yes \
- --enable-static=no
+ --enable-static=no \
+ --build=$ARCH-slackware-linux \
+ --host=$ARCH-slackware-linux
make
make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
)
-# Integrate the color schemes
-mkdir -p $PKG/$KDEPREF/share/apps/kdisplay/color-schemes/
-cat CylonOS.kcsrc > $PKG/$KDEPREF/share/apps/kdisplay/color-schemes/CylonOS.kcsrc
-mkdir -p $PKG/$KDEPREF/share/apps/QtCurve/
-cat cylon.qtcurve > $PKG/$KDEPREF/share/apps/QtCurve/cylon.qtcurve
-
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install
diff --git a/desktop/cylonminimal/cylonminimal.info b/desktop/cylonminimal/cylonminimal.info
index dbe605f7ed..59f65bf27b 100644
--- a/desktop/cylonminimal/cylonminimal.info
+++ b/desktop/cylonminimal/cylonminimal.info
@@ -1,8 +1,8 @@
PRGNAM="cylonminimal"
-VERSION="0.1"
+VERSION="0.2"
HOMEPAGE="http://tinyurl.com/3528ss"
-DOWNLOAD="http://www.kde-look.org/CONTENT/content-files/51993-cylonminimal-01.tar.gz"
-MD5SUM="032ce5861317a8fbad5617a48e493829"
-MAINTAINER="core"
-EMAIL="eroc@linuxmail.org"
-APPROVED="BP{k}"
+DOWNLOAD="http://works13.com/downloads/CylonMinimal-0.2.tar.gz"
+MD5SUM="d544570f4ead244bb6090eaaa31b0944"
+MAINTAINER="Antonio Hernández Blas"
+EMAIL="hba.nihilismus@gmail.com"
+APPROVED="David Somero"